/* ----------------------------------------------------------------------------------------------------------------------------------- */
/* submenu                                                                                                                             */
/* ----------------------------------------------------------------------------------------------------------------------------------- */

.sub-menu-background
{
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../img/background-nature.jpg);
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    display: none;
}

.sub-menu-wrapper
{
    position: relative;
    z-index: 1001;
    width: 460px;
    height: auto;
    max-height: calc(100% - 25px);
    margin: 10px auto;
    display: none;
    border-radius: 5px;
    padding-bottom: 5px;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.95), rgba(255, 255, 255, 0.8));
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    border-radius: 5px;
    box-shadow: 1px 1px 5px 0 #222;
}

.sub-menu-wrapper-mini
{
    position: relative;
    float: left;
    width: 100%;
    max-height: calc(100% - 130px);
    margin: -10px 0 0 0;
    padding: 10px 0 0 0;
    overflow-y: auto;
} 

.sub-menu-close
{    
    position: relative;
    float: left;
    width: 96px;
    height: 48px;
    color: #fff;
    background-color: #455F81;
    border-radius: 5px;
    line-height: 48px;
    font-size: 100%;
    text-align: center;
    cursor: pointer;
    transition: 0.15s ease-in-out;
    margin: 10px 0 0 182px;
}

.sub-menu-each
{
    position: relative;
    float: left;
    width: calc(100% - 20px);
    height: 48px;
    margin: 0 10px 10px 10px;
    border-radius: 5px;
    transition: 0.15s ease-in-out;
}

.sub-menu-each a
{
    z-index: 999;
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% - 10px);
    height: 100%;
    text-align: left;
    line-height: 48px;
    font-size: 100%;
    padding: 0 0 0 5px;
    border-radius: 5px;
    color: #222;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.0));
    border-left: 5px solid #455F81;
}

.sub-menu-each:hover
{
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.9));
}